<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Server extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create("servers", function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string("servername");
            $table->timestamp("last_seen")->nullable();
            $table->bigInteger("storage")->comment("In Byte, for cache");
            $table->bigInteger("userd")->comment("Userd Space in Byte")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists("servers");
    }
}
